/**
 * PETALS - PETALS Services Platform.
 * Copyright (c) 2008 EBM WebSourcing, http://www.ebmwebsourcing.com/
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the Free Software
 * Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 * -------------------------------------------------------------------------
 * $Id$
 * -------------------------------------------------------------------------
 */

package org.ow2.petals.tools.webadmin.datacollector.util;

/**
 * @author mcarpentier Uses ConfigHelper to load an xml configuration file.
 * 
 */
public class DataCollectorConfigHelper {

    private static DataCollectorConfiguration c = null;

    private static DataCollectorConfiguration getConfiguration()
            throws DataCollectorConfigException {
        if (DataCollectorConfigHelper.c == null) {
            DataCollectorConfigHelper.init();
        }
        return DataCollectorConfigHelper.c;
    }

    public static String getProperty(String comp, String key) throws DataCollectorConfigException {
        return DataCollectorConfigHelper.getConfiguration().getProperty(comp, key);
    }

    public static void init() throws DataCollectorConfigException {
        DataCollectorConfigHelper.c = new DataCollectorConfiguration(ConfigHelper.getConfig(null));
    }
}
